Lavalite package that provides zing_internal management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/zing_internal`.

    "litecms/zing_internal": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\ZingInternal\Providers\ZingInternalServiceProvider::class,

And also add it to alias

    'ZingInternal'  => Litecms\ZingInternal\Facades\ZingInternal::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\ZingInternal\\Seeders\\ZingInternalTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\ZingInternal\Providers\ZingInternalServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\ZingInternal\Providers\ZingInternalServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\ZingInternal\Providers\ZingInternalServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/zing_internal/{modulename}

**User**

    http://path-to-route-folder/user/zing_internal/{modulename}

**Public**

    http://path-to-route-folder/zing_internals


### API endpoints

**List**

    http://path-to-route-folder/api/user/zing_internal/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/zing_internal/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/zing_internal/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/zing_internal/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/zing_internal/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/zing_internal/{modulename}/{slug}
    METHOD: GET